CASINH(3)

NAME
casinh, casinhf, casinhl - complex arc hyperbolic sine functions

SYNOPSIS
#include <complex.h>
double complex
casinh(double complex z);
float complex
casinhf(float complex z);
long double complex
casinhl(long double complex z);

DESCRIPTION
These functions compute the complex arc hyperbolic sine of z, with branch cuts outside the interval [-i, +i] along the imaginary axis.

RETURN VALUES
These functions return the complex arc hyperbolic sine value, in the range of a strip mathematically unbounded along the real axis and in the interval [-i pi/2, +i pi/2] along the imaginary axis.

ERRORS
No errors are defined.

SEE ALSO
csinh(3), p1003.1-2001 <complex.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .